Loading...
Searching...
No Matches
Bloom Filter
Utility

Provides seqan3:bloom_filter. More...

Collaboration diagram for Bloom Filter:

## Classes

struct | seqan3::bin_count
| A strong type that represents the number of bins for the seqan3::interleaved_bloom_filter. More...
struct | seqan3::bin_index
| A strong type that represents the bin index for the seqan3::interleaved_bloom_filter. More...
struct | seqan3::bin_size
| A strong type that represents the number of bits for each bin in the seqan3::interleaved_bloom_filter. More...
class | seqan3::bloom_filter< data_layout_mode_ >
| The Bloom Filter. A data structure that efficiently answers set-membership queries. More...
struct | seqan3::hash_function_count
| A strong type that represents the number of hash functions for the seqan3::interleaved_bloom_filter. More...

## Enumerations

enum | seqan3::data_layout : bool { seqan3::uncompressed , seqan3::compressed }
| Determines if the Interleaved Bloom Filter is compressed. More...

## Detailed Description

Provides seqan3:bloom_filter.

## Enumeration Type Documentation

## data_layout

enum seqan3::data_layout : bool

Determines if the Interleaved Bloom Filter is compressed.

Enumerator
uncompressed | The Interleaved Bloom Filter is uncompressed.
compressed | The Interleaved Bloom Filter is compressed.

Hide me